Bug 28353 - binutils-2.10.91.0.2-1 does not support GCC 3.0 ABI
binutils-2.10.91.0.2-1 does not support GCC 3.0 ABI
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 17:40 EST by rodrigc
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 19:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2001-02-19 17:40:05 EST
Hi,

binutils-2.10.91.0.2-1 does not support the GCC 3.0 ABI.
Therefore,  nm -C will not correctly demangle symbols
compiled with GCC 3.0.
Comment 1 Red Hat Bugzilla 2001-02-19 18:47:15 EST
I cannot duplicate the problem. "nm -C" works fine on libstdc++.so downloaded
from

http://www.codesourcery.com/gcc-snapshots/

Please provide a C++ binary to show the problem.

BTW, I am using nm in binutils 2.10.92.0.2 built from
the tar file.
Comment 2 Red Hat Bugzilla 2001-02-19 19:25:09 EST
OK, I reported the bug wrong.
binutils-2.10.1.0.2, which is in the Fisher beta, does not demangle GCC 3.0
symbols.

However, I checked out:b
ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-2.10.91.0.2-1.i386.rpm

and this version DOES demangle GCC 3.0 symbols, and it also
demangles "old-style" GCC 2.xx C++ symbols.

Will HJL's version of binutils make it into Redhat 7.1?

Close this bug.
Comment 3 Red Hat Bugzilla 2001-02-19 19:29:22 EST
binutils-2.10.1.0.2 doesn't support gcc 3.0.
I don't see why binutils-2.10.91.0.2 or newer
won't be in RedHat 7.1.
Comment 4 Red Hat Bugzilla 2001-02-20 03:01:35 EST
I want to apologize to H.J., seems like I typed nm -C in a wrong window
on a machine which had not binutils upgraded (and then checked CVS binutils
and it worked).
binutils-2.10.91.0.2-1 or newer will be in Red Hat Linux 7.1.

Note You need to log in before you can comment on or make changes to this bug.